<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="dcpp_how_to_add_requirements_labels">
    <title>How to Add Requirements Labels</title>
    <body>
        <p>It is possible to add tasks headings by setting the <codeph>args.gen.task.lbl</codeph>
      parameter in the transformation. However, <uicontrol>Machinery Tasks</uicontrol> have some
      extra required elements. It is possible to add labels for these requirements by adding the
      following rules to your <xref href="dcpp_the_customization_css.dita">customization
      CSS</xref>:</p>
    <codeblock id="codeblock_d4s_nq4_bvb" >*[class ~= "taskreq-d/reqconds"]:before,
*[class ~= "taskreq-d/reqpers"]:before,
*[class ~= "taskreq-d/supequip"]:before,
*[class ~= "taskreq-d/supplies"]:before,
*[class ~= "taskreq-d/spares"]:before,
*[class ~= "taskreq-d/safety"]:before {
  font-weight: bold;
  padding-left: 20px;
}

*[class ~= "taskreq-d/reqconds"]:before {
  content: "Conditions: ";
}
*[class ~= "taskreq-d/reqpers"]:before {
  content: "Personnel: ";
}
*[class ~= "taskreq-d/personnel"]:before {
  content: "Number of workers: " !important;
}
*[class ~= "taskreq-d/perscat"]:before {
  content: "Category: " !important;
}
*[class ~= "taskreq-d/perskill"]:before {
  content: "Skill level: " !important;
}
*[class ~= "taskreq-d/esttime"]:before {
  content: "Time estimate: " !important;
}
*[class ~= "taskreq-d/supequip"]:before {
  content: "Equipment: " !important;
}
*[class ~= "taskreq-d/supplies"]:before {
  content: "Supplies: " !important;
}
*[class ~= "taskreq-d/spares"]:before {
  content: "Spares:";
}
*[class ~= "taskreq-d/safety"]:before {
  content: " Safety:";
}</codeblock>
    </body>
</topic>
